Package org.apache.sysds.runtime.compress.lib

# Class CLALibTSMM

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibTSMM

public final class CLALibTSMM extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`addCorrectionLayer(double[] constV, double[] filteredColSum, int nRow, double[] ret)`
`static MatrixBlock`
`leftMultByTransposeSelf(CompressedMatrixBlock cmb, int k)`
`static MatrixBlock`
`leftMultByTransposeSelf(CompressedMatrixBlock cmb, MatrixBlock ret, int k)`
Self left Matrix multiplication (tsmm) t(x) %*% x

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### leftMultByTransposeSelf

public static MatrixBlock leftMultByTransposeSelf(CompressedMatrixBlock cmb, int k)

### leftMultByTransposeSelf

public static MatrixBlock leftMultByTransposeSelf(CompressedMatrixBlock cmb, MatrixBlock ret, int k)
Self left Matrix multiplication (tsmm) t(x) %*% x

Parameters:
  `cmb` - Compressed matrix to multiply
  `ret` - The output matrix to put the result into
  `k` - The parallelization degree allowed

### addCorrectionLayer

public static void addCorrectionLayer(double[] constV, double[] filteredColSum, int nRow, double[] ret)